__gnu_cxx::throw_allocator_base< _Tp, _Cond > Class Template Reference
Inheritance diagram for __gnu_cxx::throw_allocator_base< _Tp, _Cond >:
[legend]

## Public Types

typedef const value_type * | const_pointer
typedef const value_type & | const_reference
typedef std::ptrdiff_t | difference_type
typedef value_type * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef value_type & | reference
typedef std::size_t | size_type
typedef _Tp | value_type

## Public Member Functions

const_pointer | address (const_reference __x) const noexcept
pointer | address (reference __x) const noexcept
pointer | allocate (size_type __n, const void *__hint=0)
void | check (size_t label)
void | check (size_type __n)
void | check_allocated (pointer __p, size_type __n)
map_alloc_type::iterator | check_allocated (void *p, size_t size)
void | check_constructed (size_t label)
map_construct_type::iterator | check_constructed (void *p)
template<typename _Up , typename... _Args>
void | construct (_Up *__p, _Args &&... __args)
void | deallocate (pointer __p, size_type __n)
template<typename _Up >
void | destroy (_Up *__p)
void | erase (void *p, size_t size)
void | erase_construct (void *p)
void | insert (void *p, size_t size)
void | insert_construct (void *p)
size_type | max_size () const noexcept

## Static Public Member Functions

static void | check ()
static size_t | get_label ()
static void | set_label (size_t l)

## Detailed Description

### template<typename _Tp, typename _Cond>
class __gnu_cxx::throw_allocator_base< _Tp, _Cond >

Allocator class with logging and exception generation control. Intended to be used as an allocator_type in templatized code.

Note: Deallocate not allowed to throw.

Definition at line 811 of file throw_allocator.h.

The documentation for this class was generated from the following file:

- throw_allocator.h